Subject: Re: [Ntp] Robert Wilton's No Objection on draft-ietf-ntp-yang-data-model-15: (with COMMENT)

From: Dhruv Dhody <[email-masked]>
Date: Thu, 9 Dec 2021 22:29:49 +0530

Hi Rob,

Firstly let me apologize for this very late reply. Secondly thanks for your
review. I was finally able to make all the changes.

On Thu, Jul 1, 2021 at 5:25 PM Robert Wilton via Datatracker <
[email-masked]> wrote:

> Robert Wilton has entered the following ballot position for
> draft-ietf-ntp-yang-data-model-15: No Objection
>
> When responding, please keep the subject line intact and reply to all
> email addresses included in the To and CC lines. (Feel free to cut this
> introductory paragraph, however.)
>
>
> Please refer to https://www.ietf.org/iesg/statement/discuss-criteria.html
> for more information about DISCUSS and COMMENT positions.
>
>
> The document, along with other ballot positions, can be found here:
> https://datatracker.ietf.org/doc/draft-ietf-ntp-yang-data-model/
>
>
>
> ----------------------------------------------------------------------
> COMMENT:
> ----------------------------------------------------------------------
>
> Hi,
>
> Thank you for this document.  It is always nice to see another YANG model
> being
> standardized.  I would also like to thank both Andy, for his YANG Doctor
> review, and Tom for his help on reviewing and improving the YANG model.
>
> I have only a few questions/comments on the draft itself.
>
> Section 5 talks about Access Rules, and I didn't know whether it might be
> helpful to indicate that this section is referring only to on-the-wire peer
> access control, and is independent of any management API access control,
> that
> could be enabled by, e.g., NACM (8341)?
>
>
Dhruv: ACK

> It is good to report the NTP statistics, but it might also be helpful to
> define
> an action to allow clients to reset those statistics, although this could
> be
> deferred to a future revision.
>
>
Dhruv: I have added the rpc "statistics-reset" for this.

> Finally, I note that there was another NTP related draft on the telechat
> this
> week, (draft-ietf-ntp-interleaved-modes-05), that suggests that
> "interleaved
> symmetric mode" should be configured.  Does this YANG model cover
> configuring
> that option, or would this be regarded as future work?
>
>
Dhruv: That one is left for the future!

> Regards,
> Rob
Thanks!
Dhruv

Diff:
https://www.ietf.org/rfcdiff?url1=draft-ietf-ntp-yang-data-model-15&url2=https://raw.githubusercontent.com/dhruvdhody/ietf/master/draft-ietf-ntp-yang-data-model-16.txt
Working Copy:
https://raw.githubusercontent.com/dhruvdhody/ietf/master/draft-ietf-ntp-yang-data-model-16.txt

Consolidated Review Status:
https://notes.ietf.org/draft-ietf-ntp-yang-data-model